# Uses of Interface
org.eclipse.ui.views.properties.IPropertySheetEntry

Packages that use IPropertySheetEntry
Package
Description
org.eclipse.ui.views.properties
Provides the standard Property Sheet view which displays custom properties of the active workbench part's current selection.

## Uses of IPropertySheetEntry in org.eclipse.ui.views.properties

Classes in org.eclipse.ui.views.properties that implement IPropertySheetEntry
Modifier and Type
Class
Description
`class`
`PropertySheetEntry`
`PropertySheetEntry` is an implementation of `IPropertySheetEntry` which uses `IPropertySource` and `IPropertyDescriptor` to interact with domain model objects.
Methods in org.eclipse.ui.views.properties that return IPropertySheetEntry
Modifier and Type
Method
Description
`IPropertySheetEntry[]`
IPropertySheetEntry.`getChildEntries()`
Returns the child entries for this entry.
`IPropertySheetEntry[]`
PropertySheetEntry.`getChildEntries()`
Methods in org.eclipse.ui.views.properties with parameters of type IPropertySheetEntry
Modifier and Type
Method
Description
`void`
IPropertySheetEntryListener.`childEntriesChanged(IPropertySheetEntry node)`
A node's children have changed (children added or removed)
`int`
PropertySheetSorter.`compare(IPropertySheetEntry entryA, IPropertySheetEntry entryB)`
Returns a negative, zero, or positive number depending on whether the first element is less than, equal to, or greater than the second element.
`void`
IPropertySheetEntryListener.`errorMessageChanged(IPropertySheetEntry entry)`
A entry's error message has changed
`void`
PropertySheetPage.`setRootEntry(IPropertySheetEntry entry)`
Sets the given entry as the model for the page.
`void`
PropertySheetSorter.`sort(IPropertySheetEntry[] entries)`
Sorts the given elements in-place, modifying the given array.
`void`
IPropertySheetEntryListener.`valueChanged(IPropertySheetEntry entry)`
A entry's value has changed